=begin
= WebUnit::JSciriptOpenObject
  Copyright(C) 2001 yuichi TAKAHASHI
  $Id: jscript.rb,v 1.1.1.1 2003/01/21 11:50:40 yuichi Exp $
=end

module WebUnit

  class JSciriptOpenObject < HtmlElem

    attr_reader :url, :file, :target

    def initialize( ah )
      super( 'open', ah )
      @url = ah['url']
      @file = ah['file']
      @target = ah['target']
    end

=begin
--- JSciriptOpenObject#read
      return a Response of getting of '@url'
=end

    def read
      Response::new.init_http( @url, "GET" ) if @url != nil
    end

  end

end
